/* QDOS.C - various bits needed for the QDOS port */

#include "conf.h"

/* $Id: Qdos_c,v 1.4 1994/09/22 03:12:19 EAJ Exp $
 *
 * $Log: Qdos_c,v $
 * Revision 1.4  1994/09/22  03:12:19  EAJ
 * Adapted for new version of C68 for QDOS, which changed some names
 * and some prototypes. Nothing very heavy.
 *
 * Revision 1.3  1994/06/26  23:18:39  EAJ
 * added rcsid to this module, so ident works on object
 * and executable file.
 *
 * Revision 1.2  1994/06/26  23:14:02  EAJ
 * Due to "rcs" crashing, added tentative _stack definition.
 *
 * Revision 1.1  1994/06/26  15:07:18  EAJ
 * Initial revision
 *
 *
 */

static char rcsid[] = "$Id: Qdos_c,v 1.4 1994/09/22 03:12:19 EAJ Exp $";

char *getlogin()
{
  char *s,*p,buf[82];

  s = getenv("USER");

  while( (s == NULL) || (!*s) )
  {
    printf("Please type your initials : ");
    scanf("%80s",buf);
    while( fgetc(stdin) != '\n' ) ; /* swallow rest of line */
    s = buf;
  }

  p = (char *)malloc(strlen(s)+1);

  return strcpy(p,s);
}


mode_t umask(x)
mode_t x;
{
   return 0377;
}


#include <qdos.h>

/* larger stack */
long _stack = 20L*1024L;

/* Moveable window */
extern int readkbd_move(chanid_t, timeout_t, char *);
int (*_readkbd)(chanid_t, timeout_t, char *) = readkbd_move;

/* Make program handle wildcard expansion */
int (*_cmdwildcard)(char *,char ***,int *) = cmdexpand;
